using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;

using DomainResults.Mvc;

using WeatherForecast.Services;

namespace WeatherForecast.Controllers;

/// <summary>
/// 
/// </summary>
[ApiController]
[AllowAnonymous]
[Route("api/[controller]")]
public class ContentController : ControllerBase {

  private readonly IContentService _contentService;

  /// <summary>
  /// 
  /// </summary>
  /// <param name="logger"></param>
  /// <param name="contentService"></param>
  public ContentController(
    IContentService contentService
  ) {
    _contentService = contentService;
  }

  /// <summary>
  /// 
  /// </summary>
  /// <returns></returns>
  [HttpGet("{siteId}")]
  public IActionResult Get([FromRoute] Guid siteId, [FromQuery] string? locale) {
    var result = _contentService.GetContent(siteId, locale ?? "en-US") ;
    return result.ToActionResult();
  }
}
